<?php
/**
 * Plugin Name: MWX The Events Calendar Mods
 * Plugin URI: http://www.moorwebexposure.com
 * Description: This plugin will modify The Events Calendar plugin to change the default sorting order of events in the admin panel to show the most recently modified posts/events first. It also adds a "sort by" column which will allow you to sort by events most recently modified.  
 * Version: 1.0
 * Author: Chris Moore
 * Author URI: http://www.moorewebexposure.com
 */



/* *************** SETUP THE SORT POSTS BY MODIFIED DATE IN THE EVENTS CALENDAR PLUGIN *************** */

			// Add the custom column to the post type
			add_filter( 'manage_tribe_events_posts_columns', 'mwx_events_custom_column' );
			function mwx_events_custom_column( $columns ) {
			    $columns['modified'] = 'Last Modified';

			    return $columns;
			}

			// Add the data to the custom column
			add_action( 'manage_tribe_events_posts_custom_column' , 'mwx_events_custom_column_data', 10, 2 );
			function mwx_events_custom_column_data( $column, $post_id ) {
			    switch ( $column ) {
			        case 'modified' :
						$date_format = 'Y/m/d';
						$post = get_post( $post_id );
						echo get_the_modified_date( $date_format, $post ); // the data in the column
			            break;
			    }
			}

			// Register the modified date column as sortable
			function mwx_events_custom_column_sortable( $columns ) {
			    $columns['modified'] = 'post_modified';
			    return $columns;
			}
			add_filter( 'manage_edit-tribe_events_sortable_columns', 'mwx_events_custom_column_sortable' );



/* *************** SETUP THE DEFAULT ADMIN SORT ORDER OF THE EVENTS CALENDAR PLUGIN *************** */

	function mwx_events_default_sort_order( $wp_query ) {
	  if (is_admin()) {
	    // Get the post type from the query
	    $post_type = $wp_query->query['post_type'];
	    if ( $post_type == 'tribe_events') {  // Set our post type here
	      $wp_query->set('orderby', 'modified');
	      $wp_query->set('order', 'DESC');
	    }
	  }
	}
	add_filter('pre_get_posts', 'mwx_events_default_sort_order');